<?xml version="1.0" encoding="UTF-8"?>
<out:stylesheet exclude-result-prefixes="fm" version="1.0" xmlns:fm="http://www.hyfinity.com/formmaker" xmlns:out="http://www.w3.org/1999/XSL/Transform">
<!--Some information has been retained from the existing file!-->
	<out:import href="demo_skin.xsl" />
	<out:output encoding="UTF-8" indent="yes" method="xml" />
	<out:template name="section_title">FullPage_1</out:template>
	<out:template name="page_meta_tags">
<!--Insert any required page specific meta tags in here-->
	</out:template>
	<out:template name="css_imports">
		<link href="css/demo.css" rel="stylesheet" type="text/css" xmlns="" />
	</out:template>
	<out:template name="page_scripts">
		<script src="js/IconMaker.js" type="text/javascript" xmlns=""></script>
	</out:template>
	<out:template name="section_body">
<xform:xform xmlns:xform="http://www.w3.org/2001/08/xforms" xmlns="" xmlns:fm="http://www.hyfinity.com/formmaker" xmlns:mvc="http://www.hyfinity.com/mvc" >		<div class="form" xmlns="">
			<form action="process.do" method="post" name="SVG_Button_Maker">
				<out:if test="/mvc:eForm/mvc:Control/mvc:Language != ''">
					<input name="Language" type="hidden" value="{/mvc:eForm/mvc:Control/mvc:Language}" />
				</out:if>
				<input name="is_script_enabled" type="hidden" value="false" />
				<script type="text/javascript">
					<out:text>document.SVG_Button_Maker</out:text>
					<out:text>.is_script_enabled.value = 'true';</out:text>
				</script>
				<table border="0" cellpadding="0" cellspacing="0" class="grid" id="layout_grid" summary="">
					<tr>
						<td />
						<td class="defaultBackground" id="header_container">
							<span class="output" id="header" style="font-weight:bold;font-size:20pt;color:#a0522d;">WebMaker SVG Buttons</span>
						</td>
						<td colspan="2"> </td>
					</tr>
					<tr>
						<td colspan="2">
							<EMBED height="200" id="svg_icon" src="svg_icon.svg" type="image/svg+xml" width="100%" />
						</td>
						<td colspan="2">
							<fieldset class="fieldsetGroup vertical" id="caption_info" style="width: 400px;">
								<legend class="label" id="caption_info_label">Caption</legend>
								<div class="formElement">
									<label class="label" for="button_caption" id="button_caption_label">Text</label>
									<span class="defaultBackground" id="button_caption_container">
										<input class="textbox" id="button_caption" name="button_caption" onkeyup="return button_captiononkeyup(event);" type="text" value="{/mvc:eForm/mvc:Data/mvc:formData/mvc:button_caption}" />
										<span id="button_caption_message_container"></span>
									</span>
								</div>
								<div class="formElement">
									<label class="label" for="caption_size" id="caption_size_label">Size</label>
									<span class="defaultBackground" id="caption_size_container">
										<input class="textbox" id="caption_size" name="caption_size" size="2" type="text" value="{/mvc:eForm/mvc:Data/mvc:formData/mvc:caption_size}" />
										<span id="caption_size_message_container"></span>
									</span>
								</div>
								<div class="formElement">
									<label class="label" for="caption_color" id="caption_color_label">Color</label>
									<span class="defaultBackground" id="caption_color_container">
										<span class="textbox" id="caption_color">
											<out:choose>
												<out:when test="not(/mvc:eForm/mvc:Data/mvc:formData/mvc:caption_color) or (/mvc:eForm/mvc:Data/mvc:formData/mvc:caption_color = '')">
													<out:text disable-output-escaping="yes">&amp;#160;</out:text>
												</out:when>
												<out:otherwise>
													<out:value-of select="/mvc:eForm/mvc:Data/mvc:formData/mvc:caption_color" />
												</out:otherwise>
											</out:choose>
										</span>
										<span id="caption_color_message_container"></span>
									</span>
								</div>
							</fieldset>
						</td>
					</tr>
					<tr>
						<td colspan="2">
							<fieldset class="fieldsetGroup vertical" id="button_info" style="width: 400px;">
								<legend class="label" id="button_info_label">Button</legend>
								<div class="formElement">
									<label class="label" for="button_width" id="button_width_label">Width</label>
									<span class="defaultBackground" id="button_width_container">
										<input class="textbox" id="button_width" name="button_width" size="2" type="text" value="{/mvc:eForm/mvc:Data/mvc:formData/mvc:button_width}" />
										<span id="button_width_message_container"></span>
									</span>
								</div>
								<div class="formElement">
									<label class="label" for="button_height" id="button_height_label">Height</label>
									<span class="defaultBackground" id="button_height_container">
										<input class="textbox" id="button_height" name="button_height" size="2" type="text" value="{/mvc:eForm/mvc:Data/mvc:formData/mvc:button_height}" />
										<span id="button_height_message_container"></span>
									</span>
								</div>
								<div class="formElement">
									<label class="label" for="button_opacity" id="button_opacity_label">Opacity</label>
									<span class="defaultBackground" id="button_opacity_container">
										<input class="textbox" id="button_opacity" name="button_opacity" size="2" type="text" value="{/mvc:eForm/mvc:Data/mvc:formData/mvc:button_opacity}" />
										<span id="button_opacity_message_container"></span>
									</span>
								</div>
								<div class="formElement">
									<label class="label" for="button_color" id="button_color_label">Color</label>
									<span class="defaultBackground" id="button_color_container">
										<span class="textbox" id="button_color">
											<out:choose>
												<out:when test="not(/mvc:eForm/mvc:Data/mvc:formData/mvc:button_color) or (/mvc:eForm/mvc:Data/mvc:formData/mvc:button_color = '')">
													<out:text disable-output-escaping="yes">&amp;#160;</out:text>
												</out:when>
												<out:otherwise>
													<out:value-of select="/mvc:eForm/mvc:Data/mvc:formData/mvc:button_color" />
												</out:otherwise>
											</out:choose>
										</span>
										<span id="button_color_message_container"></span>
									</span>
								</div>
							</fieldset>
						</td>
						<td colspan="2">
							<p>This WebMaker SVG demo illustrates the ability to embed external content within WebMaker applications. The SVG button is created using a separate SVG file and embedded within the WebMaker page using a custom control, which provides a simple HMTL DIV wrapper. The controls used to change the button attributes are WebMaker controls that have been transformed using custom attributes to use Dojo dijits. The events between the controls and the SVG button are handled within a separate Javascript file.</p>
							<p>You can use all the standard WebMaker controls, including server Data Bindings and Business Rules to build compelling business applications using a range of rich technologies, including SVG, Maps and more...</p>
						</td>
					</tr>
					<tr>
						<td colspan="4">
							<p style="text-align: center;">Copyright (c) 2010 Hyfinity Limited. All Rights Reserved.</p>
						</td>
					</tr>
				</table>
			</form>
		</div>
</xform:xform>		<script type="text/javascript" xmlns="">
			<out:text disable-output-escaping="yes">

            /*
             * Do NOT edit or add to the following script.
             * It will be recreated each time the page is regenerated!
             * Instead use the Application Map screen to add an external
             * script file to your page, and place your code in there.
             */

            hyf.validation.config =
            {
                form: document.SVG_Button_Maker,
                errorDisplayMethod: 'tooltip',
                errorDisplayMessageClass: 'errorIcon',
                errorDisplayShowMessage: true,
                errorDisplayShowAlerts: false,
                errorDisplayValidationMode: 'all'
            }
        			</out:text>
<xsl:for-each select="." xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fm="http://www.hyfinity.com/formmaker" xmlns:mvc="http://www.hyfinity.com/mvc"><xsl:text xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
            function SVG_Button_Makeronbeforeload(e)
            {
                var evt = (window.event) ? window.event : e;
                var objEventSource = {name: 'EventSource', option: 'page', event: evt};
                dojo.require(&quot;dijit.form.NumberSpinner&quot;); dojo.require(&quot;dijit.ColorPalette&quot;)
                window.onload = initButtonParams;
            }
            SVG_Button_Makeronbeforeload();</xsl:text><xsl:text disable-output-escaping="yes" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
            function button_captiononkeyup(e)
            {
                var evt = (window.event) ? window.event : e;
                var sourceComponent = null;
                if ((evt != null) &amp;&amp; (typeof(evt) != 'undefined'))
                {
                    sourceComponent = (evt.target) ? evt.target : evt.srcElement;
                    if (sourceComponent.nodeType == 3) // defeat Safari bug
                        sourceComponent = sourceComponent.parentNode;
                }
                var objEventSource = {name: 'EventSource', option: 'field', event: evt, component: sourceComponent, value: 'button_caption'};
                changeCaption(dojo.byId(&quot;button_caption&quot;).value);
            }
            </xsl:text>			<out:text>
            field = document.getElementById('</out:text>
			<out:text>button_caption</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>caption_size</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_maxInclusive','60');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_minInclusive','8');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','number');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('dojoType', 'dijit.form.NumberSpinner');field.setAttribute('intermediateChanges', 'true');field.setAttribute('smallDelta', '1');field.setAttribute('required', 'false');field.setAttribute('constraints', '{min:8,max:60,places:0}');if (field.style.cssText.indexOf('width') == -1) field.style.cssText += ';width:4em;';</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>caption_color');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('dojoType', 'dijit.ColorPalette');field.setAttribute('required', 'false');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>button_width</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_maxInclusive','350');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_minInclusive','1');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','number');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('dojoType', 'dijit.form.NumberSpinner');field.setAttribute('intermediateChanges', 'true');field.setAttribute('smallDelta', '1');field.setAttribute('required', 'false');field.setAttribute('constraints', '{min:1,max:350,places:0}');if (field.style.cssText.indexOf('width') == -1) field.style.cssText += ';width:4em;';</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>button_height</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_maxInclusive','150');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_minInclusive','1');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','number');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('dojoType', 'dijit.form.NumberSpinner');field.setAttribute('intermediateChanges', 'true');field.setAttribute('smallDelta', '1');field.setAttribute('required', 'false');field.setAttribute('constraints', '{min:1,max:150,places:0}');if (field.style.cssText.indexOf('width') == -1) field.style.cssText += ';width:4em;';</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>button_opacity</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_maxInclusive','1.00');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_minInclusive','0.00');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','number');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('dojoType', 'dijit.form.NumberSpinner');field.setAttribute('intermediateChanges', 'true');field.setAttribute('smallDelta', '0.01');field.setAttribute('required', 'false');field.setAttribute('constraints', '{min:0.00,max:1.00,places:2}');if (field.style.cssText.indexOf('width') == -1) field.style.cssText += ';width:4em;';</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>button_color');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('dojoType', 'dijit.ColorPalette');field.setAttribute('required', 'false');</out:text>
</xsl:for-each>		</script>
	</out:template>
</out:stylesheet>
